Package org.drinkless.tdlib

# Class TdApi.UpdateMessageInteractionInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateMessageInteractionInfo

Enclosing class:
  TdApi

public static class TdApi.UpdateMessageInteractionInfo extends TdApi.Update
The information about interactions with a message has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageInteractionInfo`
  `interactionInfo`
  New information about interactions with the message; may be null.
  `long`
  `messageId`
  Message identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateMessageInteractionInfo()`
  The information about interactions with a message has changed.
  `UpdateMessageInteractionInfo(long chatId, long messageId, TdApi.MessageInteractionInfo interactionInfo)`
  The information about interactions with a message has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageId

    public long messageId
    Message identifier.

  - ### interactionInfo

    @Nullable public TdApi.MessageInteractionInfo interactionInfo
    New information about interactions with the message; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateMessageInteractionInfo

    public UpdateMessageInteractionInfo()
    The information about interactions with a message has changed.

  - ### UpdateMessageInteractionInfo

    public UpdateMessageInteractionInfo(long chatId, long messageId, TdApi.MessageInteractionInfo interactionInfo)
    The information about interactions with a message has changed.
    Parameters:
      `chatId` - Chat identifier.
      `messageId` - Message identifier.
      `interactionInfo` - New information about interactions with the message; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR